View Issue Details

IDProjectCategoryView StatusLast Update
0000265ascendcompilerpublic2008-02-10 13:03
Reporterjohn 
Assigned Tojohn 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.9.6 
Summary0000265: /tmp/atmlist causes problems when multiple ascend users on one machine
DescriptionI'm seeing an error message from line 1563 of anontype.c, owing to the fact that the user 'buildbot' on my machine has created this file (/tmp/atmlist) and now I can't create it.

Temporary files needs to be created using the 'tmpnam' or similar functions, they shouldn't have constant system-universal names like this.
TagsNo tags attached.

Relationships

Activities

john

2006-05-19 02:36

administrator   ~0000344

Fixed in changeset 688.

Issue History

Date Modified Username Field Change
2006-05-18 04:54 john New Issue
2006-05-18 04:54 john Target release => 0.9.6
2006-05-19 02:35 john Status new => assigned
2006-05-19 02:35 john Assigned To => john
2006-05-19 02:36 john Status assigned => resolved
2006-05-19 02:36 john Resolution open => fixed
2006-05-19 02:36 john Note Added: 0000344
2006-06-22 07:27 john Fixed in Version => 0.9.6
2008-02-10 13:03 john Status resolved => closed